import QtQuick 2.4
import QtQuick.Controls 2.4

Page{
    id: homePage
    visible: true
    width: 640
    height: 480
    title: qsTr("Основное окно")

        header: ToolBar {
            contentHeight: toolButton.implicitHeight

            ToolButton {
                id: toolButton
                text: stackView.depth > 1 ? "\u25C0" : "\u2630"
                font.pixelSize: Qt.application.font.pixelSize * 1.6
                onClicked: {
                    if (stackView.depth > 2) {
                        stackView.pop()
                    } else {
                        drawer.open()
                    }
                }
            }

            Label {
                text: stackView.currentItem.title
                anchors.centerIn: parent
            }
        }

        Drawer {
            id: drawer
            width: root.width * 0.66
            height: root.height

            Column {
                anchors.fill: parent

                ItemDelegate {
                    text: qsTr("Состояние")
                    width: parent.width
                    onClicked: {
                        stackView.push("Page1.qml")
                        drawer.close()
                    }
                }
                ItemDelegate {
                    text: qsTr("Управление")
                    width: parent.width
                    onClicked: {
                        stackView.push("Page2.qml")
                        drawer.close()
                    }
                }
            }
        }

}
