import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Controls.Styles 1.4

Item {
    id: loginItem
    property color disabledColor: "#E5E5E5"
    property color enabledColor: "black"
    property int fontsSize: 10

    signal sendLogin(string login, string password)

    function resetField() {
        editLogin.text = ""
        editPassword.text = ""
    }

    Column {
        anchors.topMargin: 50
        anchors.fill: parent
        spacing: 10

        Image {
            width: 70; height: width
            anchors.horizontalCenter: parent.horizontalCenter
            //source: "..images/logo.png"
        }

        Item { width: parent.width; height: 10 }

        Label {
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
            font.pointSize: fontsSize
            text: "Вход в систему"
        }

        Item { width: parent.width; height: 5 }

        Column {
            anchors.horizontalCenter: parent.horizontalCenter
            spacing: 4
            TextField {
                id: editLogin
                objectName: "editLogin"
                placeholderText: "Введите Логин"
                width: 250
            }
            TextField {
                id: editPassword
                objectName: "editPassword"
                placeholderText: "Введите Пароль"
                width: 250

                onTextChanged: {
                    if(text.length < 1)
                        getButtonLogin.enabled = false
                    else
                        getButtonLogin.enabled = true
                }

                Keys.onPressed: {
                    if (((event.key === Qt.Key_Enter) || (event.key === Qt.Key_Return))
                        && (getButtonLogin.enabled)) {
                        loginItem.sendLogin(loginName.text, password.text)
                        event.accepted = true;  // не срабатывало дважды
                    }
                }
            }
        }
        Item { width: parent.width; height: 20 }

        Button {
            id: getButtonLogin
            enabled: false
            anchors.horizontalCenter: parent.horizontalCenter
            style: ButtonStyle {
                background: Rectangle {
                    implicitWidth: 230
                    implicitHeight: 40
                     radius: 4
                    color: parent.enabled ? enabledColor : disabledColor
                }
                label: Text {
                    text: "Вход"
                    color: "white"
                    font.pointSize: fontsSize
                    horizontalAlignment: Text.AlignHCenter
                    verticalAlignment: Text.AlignVCenter
                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked:  {
                    loginItem.sendLogin(editLogin.text, editPassword.text)
                }
            }
        }
   }
}
