#include <QFile>
#include <QDebug>
#include <QSqlQuery>
#include <QSqlError>

#include "database.h"

DataBase::DataBase(QObject *parent) : QObject(parent){

}

void DataBase::connectToDataBase(){
    /* Перед подключением к базе данных производим проверку на её существование.
     * В зависимости от результата производим открытие базы данных или её восстановление
     * */
    if(!QFile("db.db").exists()){
        qDebug() << "to restore";
        this->restoreDataBase();
    } else {
        qDebug() << "to open";
        this->openDataBase();
    }
}

bool DataBase::restoreDataBase(){
    // Если база данных открылась ...
    if(this->openDataBase()){
        // Производим восстановление базы данных
        return (this->createTable()) ? true : false;
    } else {
        qDebug() << "Не удалось восстановить базу данных";
        return false;
    }
    return false;
}

/* Метод для открытия базы данных
 * */
bool DataBase::openDataBase(){
    /* База данных открывается по заданному пути
     * и имени базы данных, если она существует
     * */
    db = QSqlDatabase::addDatabase("QSQLITE");
    db.setHostName("NameDataBase");
    db.setDatabaseName("db.db");
    if(db.open()){
        return true;
    } else {
        return false;
    }
}

/* Методы закрытия базы данных
 * */
void DataBase::closeDataBase(){
    db.close();
}

/* Метод для создания таблицы в базе данных
 * */
bool DataBase::createTable(){
    /* В данном случае используется формирование сырого SQL-запроса
     * с последующим его выполнением.
     * */
    QSqlQuery query;
    if(!query.exec( "CREATE TABLE secret ("
                    "id INTEGER PRIMARY KEY AUTOINCREMENT, "
                    "login VARCHAR(255)    NOT NULL,"
                    "password VARCHAR(255)    NOT NULL,"
                    "use BOOLEAN DEFAULT FALSE"
                    " )"
                    )){
        qDebug() << "DataBase: error of create secret";
        qDebug() << query.lastError().text();
        return false;
    } else {
        if(!query.exec( "INSERT INTO secret (login, password)"
                        "VALUES ('1','11')"
                        )){
            qDebug() << "DataBase: error insert secret";
            return false;
        }else
            return true;
    }
    return false;
}

int DataBase::checkLogin(QString login, QString pass){
    qDebug() << login << pass;
    QSqlQuery query;
    query.prepare("SELECT '"+pass+"' == password as b "
                  "FROM secret WHERE login = '"+login+"'");
    if(!query.exec()){
        qDebug() << "error checkLogin()";
        qDebug() << query.lastError().text();
        qDebug() << query.lastQuery();
        return -1;
    } else {
        query.next();
        //qDebug() << query.value(0).toInt();
        return query.value(0).toInt();
    }
}
